# ObjectToFormConverter Class Reference

Inheritance diagram for ObjectToFormConverter:
[legend]

List of all members.

## Static Public Member Functions

static | create (EntityProto $proto)

## Protected Member Functions

| getGetter ($object)
| getSetter (&$object)

## Detailed Description

Definition at line 12 of file ObjectToFormConverter.class.php.

## Member Function Documentation

static ObjectToFormConverter::create | ( | EntityProto $ | proto | ) | `[static]`

Returns:
  ObjectToFormConverter

Definition at line 17 of file ObjectToFormConverter.class.php.

Referenced by PrototypedSoapClient::call(), and DTOClass::toForm().

ObjectToFormConverter::getGetter | ( | $ | object | ) | `[protected]`

Returns:
  ObjectGetter

Reimplemented from PrototypedBuilder.

Definition at line 25 of file ObjectToFormConverter.class.php.

ObjectToFormConverter::getSetter | ( | &$ | object | ) | `[protected]`

Returns:
  FormSetter

Reimplemented from PrototypedBuilder.

Definition at line 33 of file ObjectToFormConverter.class.php.

The documentation for this class was generated from the following file:

- main/EntityProto/Builders/ObjectToFormConverter.class.php